Bug 148022 - RHEL4: system-config-netboot, mouseover of kickstart field, help text bug
RHEL4: system-config-netboot, mouseover of kickstart field, help text bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 145411 156322
  Show dependency treegraph
 
Reported: 2005-02-14 16:43 EST by Andrius Benokraitis
Modified: 2015-07-14 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2005-484
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrius Benokraitis 2005-02-14 16:43:14 EST
Description of problem:
A mouseover on a newly added Kickstart field renders incorrect help text.

How reproducible: Always 

Steps to Reproduce:
1. system-config-netboot &
2. Go to Configure => Network Installation
3. Click Add in spawned window
4. Mouseover the new Kickstart input field. 
  
Actual results:
It currently displays, "Enter a description of the installation software."

Expected results:
A description of the Kickstart input box. Is it similar or identical to the
Kickstart dialog when adding a PXE host? That one reads, "Enter the kickstart
file to be used for this install. Kickstart files can be created using
system-config-kickstart." Maybe adding a sample path, as it could be a local
file, or a URL to a ks.cfg file. Both help texts could be more clear.
Comment 1 Andrius Benokraitis 2005-02-15 12:44:36 EST
Also, the pxeos man page does not specify/state a command line kickstart option,
as is shown in the pxeboot man page.
Comment 2 Andrius Benokraitis 2005-02-16 16:10:41 EST
Also getting GTK deprecation warnings (gtk.mainloop) when launching and quitting
system-config-netboot from a terminal.
Comment 3 Andrius Benokraitis 2005-02-18 12:27:03 EST
From dwalsh: "The kickstart field should say: Enter the kickstart file to be
used for this install. Kickstart files can be created using
system-config-kickstart."
Comment 4 Jason Vas Dias 2005-05-27 16:32:20 EDT
This bug is now fixed with system-config-netboot-0.1.16-1, which
should be in RHEL-4-U2 and meanwhile can be downloaded from:
 http://people.redhat.com/~jvdias/system-config-netboot 
Please try it out and let me know of any issues - thanks.

Comment 9 Red Hat Bugzilla 2005-10-05 09:46:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-484.html

Note You need to log in before you can comment on or make changes to this bug.